%define tarname Jinja2

# jinja requires itself ( as python-sphinx use it ) to build doc
%define enable_doc 1

Summary:	Python template engine
Name:		python-jinja2
Version:	2.7.3
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/J/Jinja2/%{tarname}-%{version}.tar.xz
# see https://github.com/mitsuhiko/jinja2/pull/259
Patch0:		99d0f3165ace0befd9eafd661be6e0c23d5f9ba5.patch
# from Debian
Patch1:		fix_CVE-2014-0012.patch	
License:	BSD
Group:		Development/Python
Url:		http://jinja.pocoo.org/
BuildArch:	noarch
# weird, should maybe be removed ( misc ) 17/01/2011
Obsoletes:	python-jinja
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
BuildRequires:	python-markupsafe
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-markupsafe
%if %enable_doc
BuildRequires:	python-sphinx
%endif
Requires:	python-babel >= 0.8
Requires:	python-markupsafe

%description
Jinja2 is a library for Python 2.4 and onwards that is designed to be
flexible, fast and secure. If you have any exposure to other
text-based template languages, such as Smarty or Django, you should
feel right at home with Jinja2. It's both designer and developer
friendly by sticking to Python's principles and adding functionality
useful for templating environments.

%package -n python3-jinja2
Summary:	General purpose template engine
Group:		Development/Python
Requires:	python3-markupsafe
# babel isn't py3k ready yet, and is only a weak dependency
#Requires:	 python3-babel >= 0.8

%description -n python3-jinja2
Jinja2 is a template engine written in pure Python.  It provides a
Django inspired non-XML syntax but supports inline expressions and an
optional sandboxed environment.

If you have any exposure to other text-based template languages, such
as Smarty or Django, you should feel right at home with Jinja2. It's
both designer and developer friendly by sticking to Python's
principles and adding functionality useful for templating
environments.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p1
%patch1 -p1
# cleanup
find . -name '*.pyo' -o -name '*.pyc' -delete

# fix EOL
sed -i 's|\r$||g' LICENSE

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build 
%if %enable_doc
%make -C docs html PYTHONPATH=$(pwd)
%endif

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%__rm -rf docs/_build/html/.buildinfo

%check
make test
pushd %{py3dir}
make test
popd

%files
%doc AUTHORS CHANGES LICENSE 
%if %enable_doc
%doc docs/_build/html
%endif
%doc ext
%doc examples
%{python_sitelib}/*

%files -n python3-jinja2
%doc AUTHORS CHANGES LICENSE
%if %enable_doc 
%doc docs/_build/html
%endif
# with_docs
%doc ext
%doc examples
%{python3_sitelib}/*



%changelog
* Sat Jun 27 2015 gseaman <galen.seaman at comcast.net> 2.7.3-1gseaman2015
- rebase on Mageia for python3 support
